// Code generated by Wire. DO NOT EDIT.

//go:generate go run github.com/google/wire/cmd/wire
//go:build !wireinject
// +build !wireinject

package main

import (
	"github.com/go-kratos/kratos/v2"
	"github.com/go-kratos/kratos/v2/log"
	"hilo/app/service/demo/internal/conf"
	"hilo/app/service/demo/internal/dao"
	"hilo/app/service/demo/internal/handler"
	"hilo/app/service/demo/internal/server"
	"hilo/app/service/demo/internal/service"
)

// Injectors from wire.go:

// wireApp init kratos application.
func wireApp(confServer *conf.Server, data *conf.Data, consul *conf.Consul, logger log.Logger) (*kratos.App, func(), error) {
	daoDao, cleanup, err := dao.NewDao(data)
	if err != nil {
		return nil, nil, err
	}
	demoUseService := service.NewDemoService(daoDao)
	demoHandler := handler.NewDemoHandler(demoUseService)
	httpServer := server.NewHTTPServer(confServer, demoHandler)
	grpcServer := server.NewGRPCServer(confServer, demoHandler)
	registry := server.NewConsulRegister(consul)
	app := newApp(logger, httpServer, grpcServer, registry)
	return app, func() {
		cleanup()
	}, nil
}
