package dao

import (
	"gorm.io/gorm"
	"hilo/app/service/mgr/internal/model"
)

func (d *Dao) CheckMgrImeiExist(imei string) (bool, error) {
	var id int
	err := d.DB.Model(&model.MgrImei{}).Where("imei = ?", imei).Take(&id).Error
	if err != nil && err != gorm.ErrRecordNotFound {
		return false, err
	}

	if id > 0 {
		return true, nil
	}
	return false, nil
}

func (d *Dao) CheckMgrIpExist(ip string) (bool, error) {
	var id int
	err := d.DB.Model(&model.MgrIp{}).Where("ip = ?", ip).Take(&id).Error
	if err != nil && err != gorm.ErrRecordNotFound {
		return false, err
	}
	if id > 0 {
		return true, nil
	}
	return false, nil
}

func (d *Dao) GetMgrUserStatus(userId int64) (res *model.MgrUserStatus, err error) {
	res = &model.MgrUserStatus{}
	err = d.DB.Model(&model.MgrUserStatus{}).Where(&model.MgrUserStatus{
		UserId: userId,
	}).Take(res).Error

	// 正常状态
	if err == gorm.ErrRecordNotFound {
		res.Status = model.NormalStatus
		res.UserId = userId
		err = nil
		return
	}

	return
}
