package service

import (
	"gorm.io/gorm"
	"hilo/app/service/user/internal/model"
	"time"
)

func (s *UserService) GetCvHeadwear(userId int64) (*model.CvHeadwear, error) {
	userHeadwear := model.UserHeadwear{}
	if err := s.dao.DB.Model(&model.UserHeadwear{}).Where(&model.UserHeadwear{
		UserId: userId,
	}).Where("end_time >= ?", time.Now()).Order("`using` DESC, updated_time DESC").First(&userHeadwear).Error; err != nil {
		if err == gorm.ErrRecordNotFound {
			return nil, nil
		} else {
			return nil, err
		}
	}

	// res暂时未拆服务
	resHeadwear := model.ResHeadwear{}
	if err := s.dao.DB.Model(&model.ResHeadwear{}).First(&resHeadwear, userHeadwear.HeadwearId).Error; err != nil {
		return nil, err
	}
	return &model.CvHeadwear{
		Id:        uint64(userHeadwear.HeadwearId),
		PicUrl:    resHeadwear.PicUrl,
		EffectUrl: resHeadwear.EffectUrl,
		Using:     userHeadwear.Using == model.UserHeadwearYesUsing,
	}, nil
}
